/*
 * Classe para criar a tabela para visualização das propriedades dos elementos finitos
 * A classe constrói um painel com a tabela onde é apresentada a descrição
 * Os botões permitirão abrir uma janela com o conteúdo selecionado
 */

package app.frontend;

/**
 *
 * @author André de Sousa
 */
public class IndividualProperties extends javax.swing.JPanel {

    /**
     * Creates new form FiniteElements
     */
    public IndividualProperties() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        jPanelContainer = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTable1 = new javax.swing.JTable();
        jPanelBottom = new javax.swing.JPanel();
        jSeparator1 = new javax.swing.JSeparator();
        jButtonVectorF = new javax.swing.JButton();
        jButtonMatrixK = new javax.swing.JButton();
        jButtonVectorDisp = new javax.swing.JButton();

        setBackground(new java.awt.Color(236, 236, 236));
        setPreferredSize(new java.awt.Dimension(400, 300));

        jPanelContainer.setBackground(new java.awt.Color(255, 255, 255));
        jPanelContainer.setPreferredSize(new java.awt.Dimension(0, 250));

        jScrollPane1.setBorder(null);

        jTable1.setModel(
            new javax.swing.table.DefaultTableModel(
                new Object[][] {},
                new String[] { "ID", "Shape", "Type", "Nodes", "Material", "Other" }
            ) {
                Class[] types = new Class[] {
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                };
                boolean[] canEdit = new boolean[] { false, false, false, false, false, false };

                public Class getColumnClass(int columnIndex) {
                    return types[columnIndex];
                }

                public boolean isCellEditable(int rowIndex, int columnIndex) {
                    return canEdit[columnIndex];
                }
            }
        );
        jTable1.setGridColor(new java.awt.Color(222, 222, 222));
        jTable1.setRowHeight(20);
        jTable1.setSelectionMode(javax.swing.ListSelectionModel.SINGLE_SELECTION);
        jTable1.getTableHeader().setReorderingAllowed(false);
        jScrollPane1.setViewportView(jTable1);
        if (jTable1.getColumnModel().getColumnCount() > 0) {
            jTable1.getColumnModel().getColumn(0).setMinWidth(100);
            jTable1.getColumnModel().getColumn(0).setMaxWidth(200);
            jTable1.getColumnModel().getColumn(1).setMinWidth(100);
            jTable1.getColumnModel().getColumn(1).setMaxWidth(200);
            jTable1.getColumnModel().getColumn(2).setMinWidth(100);
            jTable1.getColumnModel().getColumn(2).setMaxWidth(200);
            jTable1.getColumnModel().getColumn(3).setMinWidth(100);
            jTable1.getColumnModel().getColumn(3).setMaxWidth(200);
            jTable1.getColumnModel().getColumn(4).setMinWidth(100);
            jTable1.getColumnModel().getColumn(4).setMaxWidth(200);
        }

        javax.swing.GroupLayout jPanelContainerLayout = new javax.swing.GroupLayout(jPanelContainer);
        jPanelContainer.setLayout(jPanelContainerLayout);
        jPanelContainerLayout.setHorizontalGroup(
            jPanelContainerLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
        );
        jPanelContainerLayout.setVerticalGroup(
            jPanelContainerLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 250, Short.MAX_VALUE)
        );

        jPanelBottom.setBackground(new java.awt.Color(236, 236, 236));
        jPanelBottom.setPreferredSize(new java.awt.Dimension(0, 50));

        jSeparator1.setForeground(new java.awt.Color(222, 222, 222));

        jButtonVectorF.setText("Vector f");
        jButtonVectorF.setEnabled(false);
        jButtonVectorF.setFocusable(false);

        jButtonMatrixK.setText("Matrix k");
        jButtonMatrixK.setEnabled(false);
        jButtonMatrixK.setFocusable(false);

        jButtonVectorDisp.setText("Vector a");
        jButtonVectorDisp.setEnabled(false);
        jButtonVectorDisp.setFocusable(false);

        javax.swing.GroupLayout jPanelBottomLayout = new javax.swing.GroupLayout(jPanelBottom);
        jPanelBottom.setLayout(jPanelBottomLayout);
        jPanelBottomLayout.setHorizontalGroup(
            jPanelBottomLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jSeparator1)
                .addGroup(
                    javax.swing.GroupLayout.Alignment.TRAILING,
                    jPanelBottomLayout
                        .createSequentialGroup()
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jButtonVectorF)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jButtonMatrixK)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jButtonVectorDisp)
                        .addContainerGap()
                )
        );
        jPanelBottomLayout.setVerticalGroup(
            jPanelBottomLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanelBottomLayout
                        .createSequentialGroup()
                        .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 1, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 15, Short.MAX_VALUE)
                        .addGroup(
                            jPanelBottomLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(jButtonVectorF)
                                .addComponent(jButtonMatrixK)
                                .addComponent(jButtonVectorDisp)
                        )
                        .addContainerGap()
                )
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jPanelContainer, javax.swing.GroupLayout.DEFAULT_SIZE, 400, Short.MAX_VALUE)
                .addComponent(jPanelBottom, javax.swing.GroupLayout.DEFAULT_SIZE, 400, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    layout
                        .createSequentialGroup()
                        .addComponent(
                            jPanelContainer,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            Short.MAX_VALUE
                        )
                        .addGap(0, 0, 0)
                        .addComponent(
                            jPanelBottom,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                )
        );
    } // </editor-fold>//GEN-END:initComponents

    // Variables declaration - do not modify//GEN-BEGIN:variables
    public javax.swing.JButton jButtonMatrixK;
    public javax.swing.JButton jButtonVectorDisp;
    public javax.swing.JButton jButtonVectorF;
    private javax.swing.JPanel jPanelBottom;
    private javax.swing.JPanel jPanelContainer;
    public javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JSeparator jSeparator1;
    public javax.swing.JTable jTable1;
    // End of variables declaration//GEN-END:variables
}
