/*
 * Classe para criar o painel lateral Analysis
 * O painel lateral é composto por sub painéis abertos individualmente
 * Os sub painéis são o jPanelTheory e o jPanelNumerical
 */

package app.frontend;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;

/**
 *
 * @author André de Sousa
 */
public class LateralPanelAnalysis extends javax.swing.JPanel {

    private String type;
    private String jPanelActivated;
    private final Color selectedColor;
    private final Color notSelectedColor;
    private final Color enteredColor;

    /**
     * Creates new form JLateralPanel
     */
    public LateralPanelAnalysis() {
        initComponents();

        type = "";
        jPanelActivated = "";
        selectedColor = new Color(51, 153, 255);
        notSelectedColor = new Color(236, 236, 236);
        enteredColor = new Color(222, 222, 222);

        jLabel2DTitle.setFont(new java.awt.Font("Tahoma", 0, 11));
        jLabelBeamsTitle.setFont(new java.awt.Font("Tahoma", 0, 11));
        jLabelSlabsTitle.setFont(new java.awt.Font("Tahoma", 0, 11));
        jLabelQuadrature.setFont(new java.awt.Font("Tahoma", 0, 11));
        jLabelPoints.setFont(new java.awt.Font("Tahoma", 0, 11));
        jLabelBars.setFont(new java.awt.Font("Tahoma", 0, 11));
        jLabelTriangles.setFont(new java.awt.Font("Tahoma", 0, 11));
        jLabelQuadrilaterals.setFont(new java.awt.Font("Tahoma", 0, 11));

        jRB_AnalysisPlaneStress.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRB_AnalysisPlaneStrain.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRB_AnalysisEulerBernoulli.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRB_AnalysisKirchhoff.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRB_AnalysisReissnerMindlin.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRB_AnalysisTimoshenko.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRB_LegendreAnalysis.setFont(new java.awt.Font("Tahoma", 0, 11));
        jRB_LobattoAnalysis.setFont(new java.awt.Font("Tahoma", 0, 11));
        jCB_AnalysisBars.setFont(new java.awt.Font("Tahoma", 0, 11));
        jCB_AnalysisTriangles.setFont(new java.awt.Font("Tahoma", 0, 11));
        jCB_AnalysisQuadrilaterals.setFont(new java.awt.Font("Tahoma", 0, 11));

        jButtonClose.setFont(new java.awt.Font("Tahoma", 0, 11));
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        jLateralPanelTheory = new javax.swing.JPanel();
        jLabelBeamsTitle = new javax.swing.JLabel();
        jRB_AnalysisReissnerMindlin = new javax.swing.JRadioButton();
        jRB_AnalysisKirchhoff = new javax.swing.JRadioButton();
        jLabelSlabsTitle = new javax.swing.JLabel();
        jRB_AnalysisEulerBernoulli = new javax.swing.JRadioButton();
        jRB_AnalysisTimoshenko = new javax.swing.JRadioButton();
        jRB_AnalysisPlaneStrain = new javax.swing.JRadioButton();
        jRB_AnalysisPlaneStress = new javax.swing.JRadioButton();
        jLabel2DTitle = new javax.swing.JLabel();
        jLateralPanelNumerical = new javax.swing.JPanel();
        jLabelQuadrature = new javax.swing.JLabel();
        jRB_LegendreAnalysis = new javax.swing.JRadioButton();
        jRB_LobattoAnalysis = new javax.swing.JRadioButton();
        jLabelPoints = new javax.swing.JLabel();
        jLabelBars = new javax.swing.JLabel();
        jLabelTriangles = new javax.swing.JLabel();
        jLabelQuadrilaterals = new javax.swing.JLabel();
        jCB_AnalysisQuadrilaterals = new javax.swing.JComboBox();
        jCB_AnalysisTriangles = new javax.swing.JComboBox();
        jCB_AnalysisBars = new javax.swing.JComboBox();
        jPanelContainer = new javax.swing.JPanel();
        jPanelTheory = new JPanelMouseEvents();
        jLabel1 = new javax.swing.JLabel();
        jPanelTheory_Container = new javax.swing.JPanel();
        jPanelNumerical = new JPanelMouseEvents();
        jLabel2 = new javax.swing.JLabel();
        jPanelNumerical_Container = new javax.swing.JPanel();
        jPanelBottom = new javax.swing.JPanel();
        jButtonClose = new javax.swing.JButton();
        jPanelSeparator = new javax.swing.JPanel();

        jLateralPanelTheory.setBackground(new java.awt.Color(236, 236, 236));
        jLateralPanelTheory.setMinimumSize(new java.awt.Dimension(199, 260));
        jLateralPanelTheory.setName("jPanelTheory"); // NOI18N
        jLateralPanelTheory.setPreferredSize(new java.awt.Dimension(199, 260));

        jLabelBeamsTitle.setText("Select Theory for Beams:");

        jRB_AnalysisReissnerMindlin.setText("Reissner-Mindlin");
        jRB_AnalysisReissnerMindlin.setFocusable(false);
        jRB_AnalysisReissnerMindlin.setOpaque(false);

        jRB_AnalysisKirchhoff.setText("Kirchhoff");
        jRB_AnalysisKirchhoff.setFocusable(false);
        jRB_AnalysisKirchhoff.setOpaque(false);

        jLabelSlabsTitle.setText("Select Theory for Slabs:");

        jRB_AnalysisEulerBernoulli.setText("Euler-Bernoulli");
        jRB_AnalysisEulerBernoulli.setFocusable(false);
        jRB_AnalysisEulerBernoulli.setOpaque(false);

        jRB_AnalysisTimoshenko.setText("Timoshenko");
        jRB_AnalysisTimoshenko.setFocusable(false);
        jRB_AnalysisTimoshenko.setOpaque(false);

        jRB_AnalysisPlaneStrain.setText("Plane Strain");
        jRB_AnalysisPlaneStrain.setFocusable(false);
        jRB_AnalysisPlaneStrain.setOpaque(false);

        jRB_AnalysisPlaneStress.setText("Plane Stress");
        jRB_AnalysisPlaneStress.setFocusable(false);
        jRB_AnalysisPlaneStress.setOpaque(false);

        jLabel2DTitle.setText("Select Two-Dimensional Model:");

        javax.swing.GroupLayout jLateralPanelTheoryLayout = new javax.swing.GroupLayout(jLateralPanelTheory);
        jLateralPanelTheory.setLayout(jLateralPanelTheoryLayout);
        jLateralPanelTheoryLayout.setHorizontalGroup(
            jLateralPanelTheoryLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jLateralPanelTheoryLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addGroup(
                            jLateralPanelTheoryLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addGroup(
                                    jLateralPanelTheoryLayout
                                        .createSequentialGroup()
                                        .addComponent(
                                            jLabel2DTitle,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            Short.MAX_VALUE
                                        )
                                        .addContainerGap()
                                )
                                .addComponent(
                                    jLabelBeamsTitle,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    Short.MAX_VALUE
                                )
                                .addGroup(
                                    jLateralPanelTheoryLayout
                                        .createSequentialGroup()
                                        .addGroup(
                                            jLateralPanelTheoryLayout
                                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                .addComponent(jRB_AnalysisKirchhoff)
                                                .addComponent(jRB_AnalysisReissnerMindlin)
                                        )
                                        .addGap(0, 0, Short.MAX_VALUE)
                                )
                                .addComponent(
                                    jLabelSlabsTitle,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    Short.MAX_VALUE
                                )
                                .addGroup(
                                    jLateralPanelTheoryLayout
                                        .createSequentialGroup()
                                        .addGroup(
                                            jLateralPanelTheoryLayout
                                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                .addComponent(jRB_AnalysisPlaneStress)
                                                .addComponent(jRB_AnalysisPlaneStrain)
                                                .addComponent(jRB_AnalysisTimoshenko)
                                                .addComponent(jRB_AnalysisEulerBernoulli)
                                        )
                                        .addGap(96, 96, 96)
                                )
                        )
                )
        );
        jLateralPanelTheoryLayout.setVerticalGroup(
            jLateralPanelTheoryLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    javax.swing.GroupLayout.Alignment.TRAILING,
                    jLateralPanelTheoryLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabel2DTitle, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRB_AnalysisPlaneStress)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRB_AnalysisPlaneStrain)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jLabelBeamsTitle, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRB_AnalysisTimoshenko)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRB_AnalysisEulerBernoulli)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jLabelSlabsTitle, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRB_AnalysisReissnerMindlin)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRB_AnalysisKirchhoff)
                        .addContainerGap(36, Short.MAX_VALUE)
                )
        );

        jLateralPanelNumerical.setBackground(new java.awt.Color(236, 236, 236));
        jLateralPanelNumerical.setMinimumSize(new java.awt.Dimension(199, 240));
        jLateralPanelNumerical.setName("jPanelNumerical"); // NOI18N

        jLabelQuadrature.setText("Select Quadrature:");

        jRB_LegendreAnalysis.setText("Gauss-Legendre");
        jRB_LegendreAnalysis.setFocusable(false);
        jRB_LegendreAnalysis.setOpaque(false);

        jRB_LobattoAnalysis.setText("Gauss-Lobatto");
        jRB_LobattoAnalysis.setFocusable(false);
        jRB_LobattoAnalysis.setOpaque(false);

        jLabelPoints.setText("Number of Integration Points:");

        jLabelBars.setText("Bars");

        jLabelTriangles.setText("Triangles");

        jLabelQuadrilaterals.setText("Quadrilaterals");

        jCB_AnalysisQuadrilaterals.setModel(
            new javax.swing.DefaultComboBoxModel(new String[] { "1 Point", "4 Points", "9 Points", "16 Points" })
        );
        jCB_AnalysisQuadrilaterals.setFocusable(false);
        jCB_AnalysisQuadrilaterals.setPreferredSize(new java.awt.Dimension(70, 20));

        jCB_AnalysisTriangles.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "1 Point", "3 Points" }));
        jCB_AnalysisTriangles.setFocusable(false);
        jCB_AnalysisTriangles.setLightWeightPopupEnabled(false);
        jCB_AnalysisTriangles.setPreferredSize(new java.awt.Dimension(70, 20));

        jCB_AnalysisBars.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "1 Point", "2 Points", "3 Points", "4 Points" }));
        jCB_AnalysisBars.setFocusable(false);
        jCB_AnalysisBars.setLightWeightPopupEnabled(false);
        jCB_AnalysisBars.setPreferredSize(new java.awt.Dimension(70, 20));

        javax.swing.GroupLayout jLateralPanelNumericalLayout = new javax.swing.GroupLayout(jLateralPanelNumerical);
        jLateralPanelNumerical.setLayout(jLateralPanelNumericalLayout);
        jLateralPanelNumericalLayout.setHorizontalGroup(
            jLateralPanelNumericalLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jLateralPanelNumericalLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addGroup(
                            jLateralPanelNumericalLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(
                                    jLabelQuadrature,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    Short.MAX_VALUE
                                )
                                .addComponent(jLabelPoints, javax.swing.GroupLayout.DEFAULT_SIZE, 179, Short.MAX_VALUE)
                                .addGroup(
                                    jLateralPanelNumericalLayout
                                        .createSequentialGroup()
                                        .addComponent(jLabelTriangles)
                                        .addPreferredGap(
                                            javax.swing.LayoutStyle.ComponentPlacement.RELATED,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            Short.MAX_VALUE
                                        )
                                        .addComponent(
                                            jCB_AnalysisTriangles,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                )
                                .addGroup(
                                    jLateralPanelNumericalLayout
                                        .createSequentialGroup()
                                        .addComponent(jLabelQuadrilaterals)
                                        .addPreferredGap(
                                            javax.swing.LayoutStyle.ComponentPlacement.RELATED,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            Short.MAX_VALUE
                                        )
                                        .addComponent(
                                            jCB_AnalysisQuadrilaterals,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                )
                                .addGroup(
                                    jLateralPanelNumericalLayout
                                        .createSequentialGroup()
                                        .addGroup(
                                            jLateralPanelNumericalLayout
                                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                .addComponent(jRB_LobattoAnalysis)
                                                .addComponent(jRB_LegendreAnalysis)
                                        )
                                        .addGap(0, 0, Short.MAX_VALUE)
                                )
                                .addGroup(
                                    jLateralPanelNumericalLayout
                                        .createSequentialGroup()
                                        .addComponent(jLabelBars)
                                        .addPreferredGap(
                                            javax.swing.LayoutStyle.ComponentPlacement.RELATED,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            Short.MAX_VALUE
                                        )
                                        .addComponent(
                                            jCB_AnalysisBars,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                )
                        )
                        .addContainerGap()
                )
        );
        jLateralPanelNumericalLayout.setVerticalGroup(
            jLateralPanelNumericalLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    javax.swing.GroupLayout.Alignment.TRAILING,
                    jLateralPanelNumericalLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabelQuadrature, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRB_LegendreAnalysis)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRB_LobattoAnalysis)
                        .addGap(18, 18, 18)
                        .addComponent(jLabelPoints, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(
                            jLateralPanelNumericalLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(
                                    jLabelBars,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    25,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jCB_AnalysisBars,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                        )
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(
                            jLateralPanelNumericalLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(
                                    jLabelTriangles,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    25,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jCB_AnalysisTriangles,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                        )
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(
                            jLateralPanelNumericalLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(
                                    jLabelQuadrilaterals,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    25,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jCB_AnalysisQuadrilaterals,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                        )
                        .addContainerGap(20, Short.MAX_VALUE)
                )
        );

        setBackground(new java.awt.Color(236, 236, 236));

        jPanelContainer.setBackground(new java.awt.Color(236, 236, 236));

        jPanelTheory.setBackground(new java.awt.Color(236, 236, 236));
        jPanelTheory.setName("jPanelTheory"); // NOI18N
        jPanelTheory.addMouseListener(
            new java.awt.event.MouseAdapter() {
                public void mousePressed(java.awt.event.MouseEvent evt) {
                    jPanelTheoryMousePressed(evt);
                }
            }
        );

        jLabel1.setFont(new java.awt.Font("Tahoma", 1, 10)); // NOI18N
        jLabel1.setText("Theory");

        javax.swing.GroupLayout jPanelTheoryLayout = new javax.swing.GroupLayout(jPanelTheory);
        jPanelTheory.setLayout(jPanelTheoryLayout);
        jPanelTheoryLayout.setHorizontalGroup(
            jPanelTheoryLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanelTheoryLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addContainerGap()
                )
        );
        jPanelTheoryLayout.setVerticalGroup(
            jPanelTheoryLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jLabel1, javax.swing.GroupLayout.DEFAULT_SIZE, 25, Short.MAX_VALUE)
        );

        jPanelTheory_Container.setBackground(new java.awt.Color(236, 236, 236));

        javax.swing.GroupLayout jPanelTheory_ContainerLayout = new javax.swing.GroupLayout(jPanelTheory_Container);
        jPanelTheory_Container.setLayout(jPanelTheory_ContainerLayout);
        jPanelTheory_ContainerLayout.setHorizontalGroup(
            jPanelTheory_ContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 0, Short.MAX_VALUE)
        );
        jPanelTheory_ContainerLayout.setVerticalGroup(
            jPanelTheory_ContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 0, Short.MAX_VALUE)
        );

        jPanelNumerical.setBackground(new java.awt.Color(236, 236, 236));
        jPanelNumerical.setName("jPanelNumerical"); // NOI18N
        jPanelNumerical.addMouseListener(
            new java.awt.event.MouseAdapter() {
                public void mousePressed(java.awt.event.MouseEvent evt) {
                    jPanelNumericalMousePressed(evt);
                }
            }
        );

        jLabel2.setFont(new java.awt.Font("Tahoma", 1, 10)); // NOI18N
        jLabel2.setText("Numerical Analysis");

        javax.swing.GroupLayout jPanelNumericalLayout = new javax.swing.GroupLayout(jPanelNumerical);
        jPanelNumerical.setLayout(jPanelNumericalLayout);
        jPanelNumericalLayout.setHorizontalGroup(
            jPanelNumericalLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanelNumericalLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addContainerGap()
                )
        );
        jPanelNumericalLayout.setVerticalGroup(
            jPanelNumericalLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jLabel2, javax.swing.GroupLayout.DEFAULT_SIZE, 25, Short.MAX_VALUE)
        );

        jPanelNumerical_Container.setBackground(new java.awt.Color(236, 236, 236));

        javax.swing.GroupLayout jPanelNumerical_ContainerLayout = new javax.swing.GroupLayout(jPanelNumerical_Container);
        jPanelNumerical_Container.setLayout(jPanelNumerical_ContainerLayout);
        jPanelNumerical_ContainerLayout.setHorizontalGroup(
            jPanelNumerical_ContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 0, Short.MAX_VALUE)
        );
        jPanelNumerical_ContainerLayout.setVerticalGroup(
            jPanelNumerical_ContainerLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 0, Short.MAX_VALUE)
        );

        jPanelBottom.setBackground(new java.awt.Color(236, 236, 236));

        jButtonClose.setText("Close");
        jButtonClose.setFocusPainted(false);

        javax.swing.GroupLayout jPanelBottomLayout = new javax.swing.GroupLayout(jPanelBottom);
        jPanelBottom.setLayout(jPanelBottomLayout);
        jPanelBottomLayout.setHorizontalGroup(
            jPanelBottomLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    javax.swing.GroupLayout.Alignment.TRAILING,
                    jPanelBottomLayout
                        .createSequentialGroup()
                        .addContainerGap(131, Short.MAX_VALUE)
                        .addComponent(jButtonClose)
                        .addContainerGap()
                )
        );
        jPanelBottomLayout.setVerticalGroup(
            jPanelBottomLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    javax.swing.GroupLayout.Alignment.TRAILING,
                    jPanelBottomLayout
                        .createSequentialGroup()
                        .addContainerGap(267, Short.MAX_VALUE)
                        .addComponent(jButtonClose)
                        .addContainerGap()
                )
        );

        javax.swing.GroupLayout jPanelContainerLayout = new javax.swing.GroupLayout(jPanelContainer);
        jPanelContainer.setLayout(jPanelContainerLayout);
        jPanelContainerLayout.setHorizontalGroup(
            jPanelContainerLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jPanelTheory, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(
                    jPanelTheory_Container,
                    javax.swing.GroupLayout.DEFAULT_SIZE,
                    javax.swing.GroupLayout.DEFAULT_SIZE,
                    Short.MAX_VALUE
                )
                .addComponent(jPanelNumerical, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(
                    jPanelNumerical_Container,
                    javax.swing.GroupLayout.DEFAULT_SIZE,
                    javax.swing.GroupLayout.DEFAULT_SIZE,
                    Short.MAX_VALUE
                )
                .addComponent(jPanelBottom, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        jPanelContainerLayout.setVerticalGroup(
            jPanelContainerLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanelContainerLayout
                        .createSequentialGroup()
                        .addComponent(
                            jPanelTheory,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addGap(0, 0, 0)
                        .addComponent(
                            jPanelTheory_Container,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addGap(0, 0, 0)
                        .addComponent(
                            jPanelNumerical,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addGap(0, 0, 0)
                        .addComponent(
                            jPanelNumerical_Container,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addGap(0, 0, 0)
                        .addComponent(
                            jPanelBottom,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            Short.MAX_VALUE
                        )
                )
        );

        jPanelSeparator.setBackground(new java.awt.Color(222, 222, 222));
        jPanelSeparator.setAlignmentX(0.0F);
        jPanelSeparator.setAlignmentY(0.0F);
        jPanelSeparator.setPreferredSize(new java.awt.Dimension(1, 0));

        javax.swing.GroupLayout jPanelSeparatorLayout = new javax.swing.GroupLayout(jPanelSeparator);
        jPanelSeparator.setLayout(jPanelSeparatorLayout);
        jPanelSeparatorLayout.setHorizontalGroup(
            jPanelSeparatorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 1, Short.MAX_VALUE)
        );
        jPanelSeparatorLayout.setVerticalGroup(
            jPanelSeparatorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 0, Short.MAX_VALUE)
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    layout
                        .createSequentialGroup()
                        .addComponent(
                            jPanelContainer,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            Short.MAX_VALUE
                        )
                        .addGap(0, 0, 0)
                        .addComponent(
                            jPanelSeparator,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                )
        );
        layout.setVerticalGroup(
            layout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jPanelContainer, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jPanelSeparator, javax.swing.GroupLayout.DEFAULT_SIZE, 350, Short.MAX_VALUE)
        );
    } // </editor-fold>//GEN-END:initComponents

    /**
     * Métdodo para definir o conteúdo do painel em função do modelo estrutural
     *
     * @param type
     */
    public void setType(String type) {
        this.type = type;
        objectsOfLateralPanel();
    }

    /**
     * Método para abrir o painel lateral jPanelTheory
     */
    public void jPanelTheoryMousePressed() {
        jPanelTheoryMousePressed(null);
    }

    /**
     * Método para abrir o painel lateral jPanelNumerical
     */
    public void jPanelNumericalMousePressed() {
        jPanelNumericalMousePressed(null);
    }

    /**
     * Método para abrir o painel lateral jPanelTheory
     *
     * @param evt
     */
    private void jPanelTheoryMousePressed(java.awt.event.MouseEvent evt) { //GEN-FIRST:event_jPanelTheoryMousePressed
        Dimension dimension = jLateralPanelTheory.getMinimumSize();
        jPanelTheory.setBackground(selectedColor);
        jPanelActivated = "jPanelTheory";
        jPanelActivated();

        jPanelTheory_Container.removeAll();
        jPanelTheory_Container.setSize(dimension);
        jPanelTheory_Container.setPreferredSize(new java.awt.Dimension(dimension));
        jPanelTheory_Container.setLayout(new BorderLayout());
        jPanelTheory_Container.add(jLateralPanelTheory);

        jPanelContainer.updateUI();
    } //GEN-LAST:event_jPanelTheoryMousePressed

    /**
     * Método para abrir o painel lateral jPanelNumerical
     *
     * @param evt
     */
    private void jPanelNumericalMousePressed(java.awt.event.MouseEvent evt) { //GEN-FIRST:event_jPanelNumericalMousePressed
        Dimension dimension = jLateralPanelNumerical.getMinimumSize();
        jPanelNumerical.setBackground(selectedColor);
        jPanelActivated = "jPanelNumerical";
        jPanelActivated();

        jPanelNumerical_Container.removeAll();
        jPanelNumerical_Container.setSize(dimension);
        jPanelNumerical_Container.setPreferredSize(new java.awt.Dimension(dimension));
        jPanelNumerical_Container.setLayout(new BorderLayout());
        jPanelNumerical_Container.add(jLateralPanelNumerical);

        jPanelContainer.updateUI();
    } //GEN-LAST:event_jPanelNumericalMousePressed

    /**
     * Classe privada para adicionar eventos do rato aos painéis
     */
    private class JPanelMouseEvents extends javax.swing.JPanel {

        private JPanelMouseEvents() {
            addMouseListener(
                new java.awt.event.MouseAdapter() {
                    @Override
                    public void mouseEntered(java.awt.event.MouseEvent evt) {
                        jPanelMouseEntered(evt);
                    }

                    @Override
                    public void mouseExited(java.awt.event.MouseEvent evt) {
                        jPanelMouseExited(evt);
                    }
                }
            );
        }

        private void jPanelMouseEntered(java.awt.event.MouseEvent evt) {
            String jPanelName;
            jPanelName = getName();

            if (jPanelActivated == null ? jPanelName != null : !jPanelActivated.equals(jPanelName)) {
                setBackground(enteredColor);
            }
        }

        private void jPanelMouseExited(java.awt.event.MouseEvent evt) {
            String jPanelName;
            jPanelName = getName();

            if (jPanelActivated == null ? jPanelName != null : !jPanelActivated.equals(jPanelName)) {
                setBackground(notSelectedColor);
            }
        }
    }

    /**
     * Método para alterar o estado dos painéis não selecionados
     */
    private void jPanelActivated() {
        if (!"jPanelTheory".equals(jPanelActivated)) {
            jPanelTheory.setBackground(notSelectedColor);
            jPanelActivated(jPanelActivated);
        }
        if (!"jPanelNumerical".equals(jPanelActivated)) {
            jPanelNumerical.setBackground(notSelectedColor);
            jPanelActivated(jPanelActivated);
        }

        jPanelContainer.updateUI();
    }

    /**
     * Método para alterar a dimensão dos painéis selecionados
     *
     * @param jPanelName é o nome do painel selecionado
     */
    private void jPanelActivated(String jPanelName) {
        if (!"jPanelTheory".equals(jPanelName)) {
            jPanelTheory_Container.removeAll();
            jPanelTheory_Container.setSize(199, 0);
            jPanelTheory_Container.setPreferredSize(new java.awt.Dimension(199, 0));
        }
        if (!"jPanelNumerical".equals(jPanelName)) {
            jPanelNumerical_Container.removeAll();
            jPanelNumerical_Container.setSize(199, 0);
            jPanelNumerical_Container.setPreferredSize(new java.awt.Dimension(199, 0));
        }
    }

    /**
     * Método para definir o estado dos objetos da classe
     */
    private void objectsOfLateralPanel() {
        jLabel2DTitle.setEnabled(false);
        jLabelBeamsTitle.setEnabled(false);
        jLabelSlabsTitle.setEnabled(false);
        jLabelQuadrature.setEnabled(false);
        jLabelPoints.setEnabled(false);
        jLabelBars.setEnabled(false);
        jLabelTriangles.setEnabled(false);
        jLabelQuadrilaterals.setEnabled(false);

        jRB_AnalysisPlaneStress.setEnabled(false);
        jRB_AnalysisPlaneStrain.setEnabled(false);
        jRB_AnalysisEulerBernoulli.setEnabled(false);
        jRB_AnalysisKirchhoff.setEnabled(false);
        jRB_AnalysisReissnerMindlin.setEnabled(false);
        jRB_AnalysisTimoshenko.setEnabled(false);
        jRB_LegendreAnalysis.setEnabled(false);
        jRB_LobattoAnalysis.setEnabled(false);
        jCB_AnalysisBars.setEnabled(false);
        jCB_AnalysisTriangles.setEnabled(false);
        jCB_AnalysisQuadrilaterals.setEnabled(false);

        jCB_AnalysisBars.setSelectedIndex(0);
        jCB_AnalysisTriangles.setSelectedIndex(0);
        jCB_AnalysisQuadrilaterals.setSelectedIndex(0);
        jRB_AnalysisPlaneStress.setSelected(true);
        jRB_AnalysisPlaneStrain.setSelected(false);
        jRB_AnalysisKirchhoff.setSelected(false);
        jRB_AnalysisReissnerMindlin.setSelected(true);
        jRB_AnalysisEulerBernoulli.setSelected(false);
        jRB_AnalysisTimoshenko.setSelected(true);
        jRB_LegendreAnalysis.setSelected(true);
        jRB_LobattoAnalysis.setSelected(false);

        switch (this.type) {
            case "1D":
                //TODO add your handling code here
                break;
            case "2D":
                jLabel2DTitle.setEnabled(true);
                jLabelQuadrature.setEnabled(true);
                jLabelPoints.setEnabled(true);
                jLabelTriangles.setEnabled(true);
                jLabelQuadrilaterals.setEnabled(true);
                jRB_AnalysisPlaneStress.setEnabled(true);
                jRB_AnalysisPlaneStrain.setEnabled(true);
                jRB_LegendreAnalysis.setEnabled(true);
                jRB_LobattoAnalysis.setEnabled(true);
                jCB_AnalysisTriangles.setEnabled(true);
                jCB_AnalysisQuadrilaterals.setEnabled(true);
                break;
            case "3D":
                jLabelQuadrature.setEnabled(true);
                jRB_LegendreAnalysis.setEnabled(true);
                jRB_LobattoAnalysis.setEnabled(true);
                break;
            case "Beams":
                jLabelBeamsTitle.setEnabled(true);
                jLabelQuadrature.setEnabled(true);
                jLabelPoints.setEnabled(true);
                jLabelBars.setEnabled(true);
                jCB_AnalysisBars.setEnabled(true);
                jRB_AnalysisEulerBernoulli.setEnabled(true);
                jRB_AnalysisTimoshenko.setEnabled(true);
                jRB_LegendreAnalysis.setEnabled(true);
                jRB_LobattoAnalysis.setEnabled(true);
                jCB_AnalysisBars.setEnabled(true);
                break;
            case "Frames":
                //TODO add your handling code here
                break;
            case "Grids":
                //TODO add your handling code here
                break;
            case "Slabs":
                jLabelSlabsTitle.setEnabled(true);
                jRB_AnalysisKirchhoff.setEnabled(true);
                jRB_AnalysisReissnerMindlin.setEnabled(true);
                break;
        }
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    public javax.swing.JButton jButtonClose;
    public javax.swing.JComboBox jCB_AnalysisBars;
    public javax.swing.JComboBox jCB_AnalysisQuadrilaterals;
    public javax.swing.JComboBox jCB_AnalysisTriangles;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel2DTitle;
    private javax.swing.JLabel jLabelBars;
    private javax.swing.JLabel jLabelBeamsTitle;
    private javax.swing.JLabel jLabelPoints;
    private javax.swing.JLabel jLabelQuadrature;
    private javax.swing.JLabel jLabelQuadrilaterals;
    private javax.swing.JLabel jLabelSlabsTitle;
    private javax.swing.JLabel jLabelTriangles;
    private javax.swing.JPanel jLateralPanelNumerical;
    private javax.swing.JPanel jLateralPanelTheory;
    private javax.swing.JPanel jPanelBottom;
    private javax.swing.JPanel jPanelContainer;
    private javax.swing.JPanel jPanelNumerical;
    private javax.swing.JPanel jPanelNumerical_Container;
    private javax.swing.JPanel jPanelSeparator;
    private javax.swing.JPanel jPanelTheory;
    private javax.swing.JPanel jPanelTheory_Container;
    public javax.swing.JRadioButton jRB_AnalysisEulerBernoulli;
    public javax.swing.JRadioButton jRB_AnalysisKirchhoff;
    public javax.swing.JRadioButton jRB_AnalysisPlaneStrain;
    public javax.swing.JRadioButton jRB_AnalysisPlaneStress;
    public javax.swing.JRadioButton jRB_AnalysisReissnerMindlin;
    public javax.swing.JRadioButton jRB_AnalysisTimoshenko;
    public javax.swing.JRadioButton jRB_LegendreAnalysis;
    public javax.swing.JRadioButton jRB_LobattoAnalysis;
    // End of variables declaration//GEN-END:variables
}
