/*
 * Classe para criar as legendas para os painéis de desenho e de resultados
 * A classe fornece legendas para o painel de desenho, deslocamentos, isolinhas e mapas de tensões
 * O objeto desta classe é criado dentro da classe UserInterface
 */

package app.frontend;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.math.BigDecimal;
import java.math.RoundingMode;
import java.text.DecimalFormat;

/**
 *
 * @author André de Sousa
 */
public class LegendsForPanels extends javax.swing.JPanel {

    /**
     * Creates new form NewJPanel
     */
    public LegendsForPanels() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        jPanelMaps = new javax.swing.JPanel();
        jLabel9 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        jLabel14 = new javax.swing.JLabel();
        jLabel15 = new javax.swing.JLabel();
        jLabel20 = new javax.swing.JLabel();
        jLabel21 = new javax.swing.JLabel();
        jLabel17 = new javax.swing.JLabel();
        jLabel18 = new javax.swing.JLabel();
        jLabel19 = new javax.swing.JLabel();
        jLabel22 = new javax.swing.JLabel();
        jLabelMinMaps = new javax.swing.JLabel();
        jLabelMaxMaps = new javax.swing.JLabel();
        jLabelZeroMaps = new javax.swing.JLabel();
        jPanelIsolines = new javax.swing.JPanel();
        jLabel16 = new javax.swing.JLabel();
        jLabel23 = new javax.swing.JLabel();
        jLabel24 = new javax.swing.JLabel();
        jLabel25 = new javax.swing.JLabel();
        jLabel26 = new javax.swing.JLabel();
        jLabel27 = new javax.swing.JLabel();
        jLabel28 = new javax.swing.JLabel();
        jLabel30 = new javax.swing.JLabel();
        jLabel31 = new javax.swing.JLabel();
        jLabel32 = new javax.swing.JLabel();
        jLabel33 = new javax.swing.JLabel();
        jLabel34 = new javax.swing.JLabel();
        jLabel35 = new javax.swing.JLabel();
        jLabelMinIsolines = new javax.swing.JLabel();
        jLabelMaxIsolines = new javax.swing.JLabel();
        jLabelZeroIsolines = new javax.swing.JLabel();
        jPanelDisplacements = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jSeparator1 = new javax.swing.JSeparator();
        jLabelHorizontalMin = new javax.swing.JLabel();
        jLabelHorizontalMax = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jSeparator2 = new javax.swing.JSeparator();
        jLabelVerticalMax = new javax.swing.JLabel();
        jLabelVerticalMin = new javax.swing.JLabel();
        jPanelAxes = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();

        jPanelMaps.setBackground(new java.awt.Color(255, 255, 255));
        jPanelMaps.setOpaque(false);
        jPanelMaps.setPreferredSize(new java.awt.Dimension(550, 60));

        jLabel9.setBackground(new java.awt.Color(23, 65, 235));
        jLabel9.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel9.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel9.setOpaque(true);
        jLabel9.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel8.setBackground(new java.awt.Color(35, 30, 190));
        jLabel8.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel8.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel8.setOpaque(true);
        jLabel8.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel10.setBackground(new java.awt.Color(0, 105, 253));
        jLabel10.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel10.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel10.setOpaque(true);
        jLabel10.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel11.setBackground(new java.awt.Color(0, 176, 219));
        jLabel11.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel11.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel11.setOpaque(true);
        jLabel11.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel12.setBackground(new java.awt.Color(0, 208, 137));
        jLabel12.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel12.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel12.setOpaque(true);
        jLabel12.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel13.setBackground(new java.awt.Color(84, 227, 84));
        jLabel13.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel13.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel13.setOpaque(true);
        jLabel13.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel14.setBackground(new java.awt.Color(145, 239, 74));
        jLabel14.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel14.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel14.setOpaque(true);
        jLabel14.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel15.setBackground(new java.awt.Color(198, 255, 77));
        jLabel15.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel15.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel15.setOpaque(true);
        jLabel15.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel20.setBackground(new java.awt.Color(225, 55, 55));
        jLabel20.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel20.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel20.setOpaque(true);
        jLabel20.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel21.setBackground(new java.awt.Color(191, 30, 45));
        jLabel21.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel21.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel21.setOpaque(true);
        jLabel21.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel17.setBackground(new java.awt.Color(237, 244, 70));
        jLabel17.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel17.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel17.setOpaque(true);
        jLabel17.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel18.setBackground(new java.awt.Color(254, 225, 60));
        jLabel18.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel18.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel18.setOpaque(true);
        jLabel18.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel19.setBackground(new java.awt.Color(255, 164, 58));
        jLabel19.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel19.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel19.setOpaque(true);
        jLabel19.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel22.setBackground(new java.awt.Color(254, 95, 59));
        jLabel22.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel22.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel22.setOpaque(true);
        jLabel22.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabelMinMaps.setText("-10000 KPa");

        jLabelMaxMaps.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabelMaxMaps.setText("10000 KPa");

        jLabelZeroMaps.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabelZeroMaps.setText("0 KPa");

        javax.swing.GroupLayout jPanelMapsLayout = new javax.swing.GroupLayout(jPanelMaps);
        jPanelMaps.setLayout(jPanelMapsLayout);
        jPanelMapsLayout.setHorizontalGroup(
            jPanelMapsLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanelMapsLayout
                        .createSequentialGroup()
                        .addContainerGap(36, Short.MAX_VALUE)
                        .addGroup(
                            jPanelMapsLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                .addComponent(
                                    jLabelMinMaps,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    70,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addGroup(
                                    jPanelMapsLayout
                                        .createSequentialGroup()
                                        .addComponent(
                                            jLabel8,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addGap(0, 0, 0)
                                        .addComponent(
                                            jLabel9,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                )
                        )
                        .addGroup(
                            jPanelMapsLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                .addGroup(
                                    jPanelMapsLayout
                                        .createSequentialGroup()
                                        .addComponent(
                                            jLabel10,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addGap(0, 0, 0)
                                        .addComponent(
                                            jLabel11,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addGap(0, 0, 0)
                                        .addComponent(
                                            jLabel12,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addGap(0, 0, 0)
                                        .addComponent(
                                            jLabel13,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addGap(0, 0, 0)
                                        .addComponent(
                                            jLabel14,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addGap(0, 0, 0)
                                        .addComponent(
                                            jLabel15,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                )
                                .addComponent(
                                    jLabelZeroMaps,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    70,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                        )
                        .addGroup(
                            jPanelMapsLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addGroup(
                                    javax.swing.GroupLayout.Alignment.TRAILING,
                                    jPanelMapsLayout
                                        .createSequentialGroup()
                                        .addComponent(
                                            jLabel17,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addGap(0, 0, 0)
                                        .addComponent(
                                            jLabel18,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addGap(0, 0, 0)
                                        .addComponent(
                                            jLabel19,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addGap(0, 0, 0)
                                        .addComponent(
                                            jLabel22,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addGap(0, 0, 0)
                                        .addComponent(
                                            jLabel20,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addGap(0, 0, 0)
                                        .addComponent(
                                            jLabel21,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                )
                                .addComponent(
                                    jLabelMaxMaps,
                                    javax.swing.GroupLayout.Alignment.TRAILING,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    70,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                        )
                        .addContainerGap(44, Short.MAX_VALUE)
                )
        );
        jPanelMapsLayout.setVerticalGroup(
            jPanelMapsLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanelMapsLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addGroup(
                            jPanelMapsLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(
                                    jLabel21,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel20,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel22,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel19,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel18,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel17,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel15,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel14,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel12,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel13,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel8,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel9,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel10,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel11,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                        )
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(
                            jPanelMapsLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(
                                    jLabelMinMaps,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    20,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabelMaxMaps,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    20,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabelZeroMaps,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    20,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                        )
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                )
        );

        jPanelIsolines.setBackground(new java.awt.Color(255, 255, 255));
        jPanelIsolines.setOpaque(false);
        jPanelIsolines.setPreferredSize(new java.awt.Dimension(550, 60));

        jLabel16.setBackground(new java.awt.Color(23, 65, 235));
        jLabel16.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel16.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel16.setOpaque(true);
        jLabel16.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel23.setBackground(new java.awt.Color(35, 30, 190));
        jLabel23.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel23.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel23.setOpaque(true);
        jLabel23.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel24.setBackground(new java.awt.Color(0, 105, 253));
        jLabel24.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel24.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel24.setOpaque(true);
        jLabel24.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel25.setBackground(new java.awt.Color(0, 176, 219));
        jLabel25.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel25.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel25.setOpaque(true);
        jLabel25.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel26.setBackground(new java.awt.Color(0, 208, 137));
        jLabel26.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel26.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel26.setOpaque(true);
        jLabel26.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel27.setBackground(new java.awt.Color(84, 227, 84));
        jLabel27.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel27.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel27.setOpaque(true);
        jLabel27.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel28.setBackground(new java.awt.Color(172, 247, 76));
        jLabel28.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel28.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel28.setOpaque(true);
        jLabel28.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel30.setBackground(new java.awt.Color(225, 55, 55));
        jLabel30.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel30.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel30.setOpaque(true);
        jLabel30.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel31.setBackground(new java.awt.Color(191, 30, 45));
        jLabel31.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel31.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel31.setOpaque(true);
        jLabel31.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel32.setBackground(new java.awt.Color(237, 244, 70));
        jLabel32.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel32.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel32.setOpaque(true);
        jLabel32.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel33.setBackground(new java.awt.Color(254, 225, 60));
        jLabel33.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel33.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel33.setOpaque(true);
        jLabel33.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel34.setBackground(new java.awt.Color(255, 164, 58));
        jLabel34.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel34.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel34.setOpaque(true);
        jLabel34.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabel35.setBackground(new java.awt.Color(254, 95, 59));
        jLabel35.setMaximumSize(new java.awt.Dimension(50, 2));
        jLabel35.setMinimumSize(new java.awt.Dimension(50, 2));
        jLabel35.setOpaque(true);
        jLabel35.setPreferredSize(new java.awt.Dimension(35, 10));

        jLabelMinIsolines.setText("-10000 KPa");

        jLabelMaxIsolines.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabelMaxIsolines.setText("10000 KPa");

        jLabelZeroIsolines.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabelZeroIsolines.setText("0 KPa");

        javax.swing.GroupLayout jPanelIsolinesLayout = new javax.swing.GroupLayout(jPanelIsolines);
        jPanelIsolines.setLayout(jPanelIsolinesLayout);
        jPanelIsolinesLayout.setHorizontalGroup(
            jPanelIsolinesLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanelIsolinesLayout
                        .createSequentialGroup()
                        .addContainerGap(44, Short.MAX_VALUE)
                        .addGroup(
                            jPanelIsolinesLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                .addComponent(
                                    jLabelMinIsolines,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    70,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addGroup(
                                    jPanelIsolinesLayout
                                        .createSequentialGroup()
                                        .addComponent(
                                            jLabel23,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addGap(0, 0, 0)
                                        .addComponent(
                                            jLabel16,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                )
                        )
                        .addComponent(
                            jLabel24,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addGap(0, 0, 0)
                        .addComponent(
                            jLabel25,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addGap(0, 0, 0)
                        .addComponent(
                            jLabel26,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addGap(0, 0, 0)
                        .addGroup(
                            jPanelIsolinesLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                .addGroup(
                                    jPanelIsolinesLayout
                                        .createSequentialGroup()
                                        .addComponent(
                                            jLabel27,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addGap(0, 0, 0)
                                        .addComponent(
                                            jLabel28,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addGap(0, 0, 0)
                                        .addComponent(
                                            jLabel32,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                )
                                .addComponent(
                                    jLabelZeroIsolines,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    Short.MAX_VALUE
                                )
                        )
                        .addGroup(
                            jPanelIsolinesLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addGroup(
                                    javax.swing.GroupLayout.Alignment.TRAILING,
                                    jPanelIsolinesLayout
                                        .createSequentialGroup()
                                        .addComponent(
                                            jLabel33,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addGap(0, 0, 0)
                                        .addComponent(
                                            jLabel34,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addGap(0, 0, 0)
                                        .addComponent(
                                            jLabel35,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addGap(0, 0, 0)
                                        .addComponent(
                                            jLabel30,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addGap(0, 0, 0)
                                        .addComponent(
                                            jLabel31,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                )
                                .addComponent(
                                    jLabelMaxIsolines,
                                    javax.swing.GroupLayout.Alignment.TRAILING,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    70,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                        )
                        .addContainerGap(51, Short.MAX_VALUE)
                )
        );
        jPanelIsolinesLayout.setVerticalGroup(
            jPanelIsolinesLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanelIsolinesLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addGroup(
                            jPanelIsolinesLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(
                                    jLabel31,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel30,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel35,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel34,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel33,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel32,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel28,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel26,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel27,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel23,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel16,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel24,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabel25,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                        )
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(
                            jPanelIsolinesLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(
                                    jLabelMinIsolines,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    20,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabelMaxIsolines,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    20,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addComponent(
                                    jLabelZeroIsolines,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    20,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                        )
                        .addContainerGap(13, Short.MAX_VALUE)
                )
        );

        jPanelDisplacements.setBackground(new java.awt.Color(255, 255, 255));
        jPanelDisplacements.setOpaque(false);
        jPanelDisplacements.setPreferredSize(new java.awt.Dimension(300, 130));

        jLabel1.setText("Horizontal Displacements");

        jSeparator1.setForeground(new java.awt.Color(0, 0, 0));
        jSeparator1.setOrientation(javax.swing.SwingConstants.VERTICAL);

        jLabelHorizontalMin.setText("Min: 0 m");

        jLabelHorizontalMax.setText("Max: 0 m");

        jLabel5.setText("Vertical Displacements");

        jSeparator2.setForeground(new java.awt.Color(0, 0, 0));
        jSeparator2.setOrientation(javax.swing.SwingConstants.VERTICAL);

        jLabelVerticalMax.setText("Max:  0 m");

        jLabelVerticalMin.setText("Min: 0 m");

        javax.swing.GroupLayout jPanelDisplacementsLayout = new javax.swing.GroupLayout(jPanelDisplacements);
        jPanelDisplacements.setLayout(jPanelDisplacementsLayout);
        jPanelDisplacementsLayout.setHorizontalGroup(
            jPanelDisplacementsLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanelDisplacementsLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addGroup(
                            jPanelDisplacementsLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addGroup(
                                    jPanelDisplacementsLayout
                                        .createSequentialGroup()
                                        .addComponent(
                                            jLabel1,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            130,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addComponent(
                                            jSeparator1,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            1,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addGap(19, 19, 19)
                                        .addGroup(
                                            jPanelDisplacementsLayout
                                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                .addComponent(
                                                    jLabelHorizontalMax,
                                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                                    126,
                                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                                )
                                                .addComponent(
                                                    jLabelHorizontalMin,
                                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                                    Short.MAX_VALUE
                                                )
                                        )
                                )
                                .addGroup(
                                    jPanelDisplacementsLayout
                                        .createSequentialGroup()
                                        .addComponent(
                                            jLabel5,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            130,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addComponent(
                                            jSeparator2,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            1,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addGap(19, 19, 19)
                                        .addGroup(
                                            jPanelDisplacementsLayout
                                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                .addComponent(
                                                    jLabelVerticalMin,
                                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                                    126,
                                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                                )
                                                .addComponent(
                                                    jLabelVerticalMax,
                                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                                    126,
                                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                                )
                                        )
                                )
                        )
                        .addContainerGap()
                )
        );
        jPanelDisplacementsLayout.setVerticalGroup(
            jPanelDisplacementsLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanelDisplacementsLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addGroup(
                            jPanelDisplacementsLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(
                                    jSeparator1,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    46,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addGroup(
                                    jPanelDisplacementsLayout
                                        .createSequentialGroup()
                                        .addComponent(
                                            jLabelHorizontalMin,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            20,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addComponent(
                                            jLabelHorizontalMax,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            20,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                )
                                .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE)
                        )
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 16, Short.MAX_VALUE)
                        .addGroup(
                            jPanelDisplacementsLayout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(
                                    jSeparator2,
                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                    46,
                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                )
                                .addGroup(
                                    jPanelDisplacementsLayout
                                        .createSequentialGroup()
                                        .addComponent(
                                            jLabelVerticalMin,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            20,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addComponent(
                                            jLabelVerticalMax,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            20,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                )
                                .addComponent(jLabel5, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE)
                        )
                        .addContainerGap()
                )
        );

        jPanelAxes.setBackground(new java.awt.Color(255, 255, 255));
        jPanelAxes.setOpaque(false);
        jPanelAxes.setPreferredSize(new java.awt.Dimension(80, 80));

        jLabel2.setBackground(new java.awt.Color(255, 255, 255));
        jLabel2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/axes_xy.png"))); // NOI18N

        javax.swing.GroupLayout jPanelAxesLayout = new javax.swing.GroupLayout(jPanelAxes);
        jPanelAxes.setLayout(jPanelAxesLayout);
        jPanelAxesLayout.setHorizontalGroup(
            jPanelAxesLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jLabel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        jPanelAxesLayout.setVerticalGroup(
            jPanelAxesLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jLabel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        setBackground(new java.awt.Color(255, 255, 255));
        setOpaque(false);
        setPreferredSize(new java.awt.Dimension(100, 100));

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 300, Short.MAX_VALUE));
        layout.setVerticalGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGap(0, 150, Short.MAX_VALUE));
    } // </editor-fold>//GEN-END:initComponents

    /**
     * Método para criar a legenda do painel de desenho
     *
     * @param type
     */
    public void legendsForAxes(String type) {
        setPreferredSize(new Dimension(80, 80));

        if ("Beams".equals(type)) {
            jLabel2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/axes_xz.png")));
        } else {
            jLabel2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/axes_xy.png")));
        }

        removeAll();
        setLayout(new BorderLayout());
        add(jPanelAxes);
        setVisible(true);
        validate();
        updateUI();
    }

    /**
     * Método para criar a legenda dos deslocamentos
     *
     * @param maximum
     */
    public void legendsForDisplacements(double[] maximum) {
        setPreferredSize(new Dimension(300, 130));

        jLabelHorizontalMin.setText("Min: " + decimalFormat(maximum[0]) + " m");
        jLabelHorizontalMax.setText("Max: " + decimalFormat(maximum[1]) + " m");
        jLabelVerticalMin.setText("Min: " + decimalFormat(maximum[2]) + " m");
        jLabelVerticalMax.setText("Max: " + decimalFormat(maximum[3]) + " m");

        removeAll();
        setLayout(new BorderLayout());
        add(jPanelDisplacements);
        setVisible(true);
        validate();
        updateUI();
    }

    /**
     * Método para criar a legenda das isolinhas
     *
     * @param maxValue
     */
    public void legendsForIsolines(double maxValue) {
        setPreferredSize(new Dimension(550, 60));
        jLabelMinIsolines.setText(String.valueOf((int) Math.round(-maxValue)) + " KPa");
        jLabelMaxIsolines.setText(String.valueOf((int) Math.round(+maxValue)) + " KPa");

        removeAll();
        setLayout(new BorderLayout());
        add(jPanelIsolines);
        setVisible(true);
        validate();
        updateUI();
    }

    /**
     * Método para criar a legenda dos mapas de tensões
     *
     * @param maxValue
     */
    public void legendsForMaps(double maxValue) {
        setPreferredSize(new Dimension(550, 60));
        jLabelMinMaps.setText(String.valueOf((int) Math.round(-maxValue)) + " KPa");
        jLabelMaxMaps.setText(String.valueOf((int) Math.round(+maxValue)) + " KPa");

        removeAll();
        setLayout(new BorderLayout());
        add(jPanelMaps);
        setVisible(true);
        validate();
        updateUI();
    }

    /**
     * Método para formatar valores decimais na forma de texto
     *
     * @param number é o número a ser formatado
     * @return
     */
    private static String decimalFormat(double number) {
        BigDecimal decimal = new BigDecimal(number).setScale(3, RoundingMode.HALF_EVEN);
        DecimalFormat format = new DecimalFormat("#,###.###");

        String formatNumber = format.format(decimal.doubleValue());
        if ("-0".equals(formatNumber)) {
            formatNumber = "0";
        }

        return formatNumber;
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel27;
    private javax.swing.JLabel jLabel28;
    private javax.swing.JLabel jLabel30;
    private javax.swing.JLabel jLabel31;
    private javax.swing.JLabel jLabel32;
    private javax.swing.JLabel jLabel33;
    private javax.swing.JLabel jLabel34;
    private javax.swing.JLabel jLabel35;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JLabel jLabelHorizontalMax;
    private javax.swing.JLabel jLabelHorizontalMin;
    private javax.swing.JLabel jLabelMaxIsolines;
    private javax.swing.JLabel jLabelMaxMaps;
    private javax.swing.JLabel jLabelMinIsolines;
    private javax.swing.JLabel jLabelMinMaps;
    private javax.swing.JLabel jLabelVerticalMax;
    private javax.swing.JLabel jLabelVerticalMin;
    private javax.swing.JLabel jLabelZeroIsolines;
    private javax.swing.JLabel jLabelZeroMaps;
    private javax.swing.JPanel jPanelAxes;
    private javax.swing.JPanel jPanelDisplacements;
    private javax.swing.JPanel jPanelIsolines;
    private javax.swing.JPanel jPanelMaps;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator2;
    // End of variables declaration//GEN-END:variables
}
