/*
 * Esta classe cria a tabela para impressão das tensões nodais
 * O objeto da classe é criado pela classe UserInterface
 * O conteúdo da tabela é alterado pela troca de modelo
 */

package app.frontend;

/**
 *
 * @author André de Sousa
 */
public class NodalStressesTable extends javax.swing.JPanel {

    /**
     * Creates new form NodalStressesTable
     */
    public NodalStressesTable() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        jScrollPane_1D = new javax.swing.JScrollPane();
        jTable_1D = new javax.swing.JTable();
        jScrollPane_2D = new javax.swing.JScrollPane();
        jTable_2D = new javax.swing.JTable();
        jScrollPane_3D = new javax.swing.JScrollPane();
        jTable_3D = new javax.swing.JTable();
        jScrollPane_Beams = new javax.swing.JScrollPane();
        jTable_Beams = new javax.swing.JTable();
        jScrollPane_Frames = new javax.swing.JScrollPane();
        jTable_Frames = new javax.swing.JTable();
        jScrollPane_Grids = new javax.swing.JScrollPane();
        jTable_Grids = new javax.swing.JTable();
        jScrollPane_Slabs = new javax.swing.JScrollPane();
        jTable_Slabs = new javax.swing.JTable();
        jScrollPane = new javax.swing.JScrollPane();

        jScrollPane_1D.setBorder(null);

        jTable_1D.setModel(
            new javax.swing.table.DefaultTableModel(new Object[][] {}, new String[] { "ID", "Element", "Point", "σ", "" }) {
                Class[] types = new Class[] {
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                };
                boolean[] canEdit = new boolean[] { false, false, false, false, false };

                public Class getColumnClass(int columnIndex) {
                    return types[columnIndex];
                }

                public boolean isCellEditable(int rowIndex, int columnIndex) {
                    return canEdit[columnIndex];
                }
            }
        );
        jTable_1D.setGridColor(new java.awt.Color(222, 222, 222));
        jTable_1D.setRowHeight(20);
        jTable_1D.getTableHeader().setReorderingAllowed(false);
        jScrollPane_1D.setViewportView(jTable_1D);
        if (jTable_1D.getColumnModel().getColumnCount() > 0) {
            jTable_1D.getColumnModel().getColumn(0).setMinWidth(100);
            jTable_1D.getColumnModel().getColumn(0).setMaxWidth(200);
            jTable_1D.getColumnModel().getColumn(1).setMinWidth(100);
            jTable_1D.getColumnModel().getColumn(1).setMaxWidth(200);
            jTable_1D.getColumnModel().getColumn(2).setMinWidth(100);
            jTable_1D.getColumnModel().getColumn(2).setMaxWidth(200);
            jTable_1D.getColumnModel().getColumn(3).setMinWidth(100);
            jTable_1D.getColumnModel().getColumn(3).setMaxWidth(200);
        }

        jScrollPane_2D.setBorder(null);

        jTable_2D.setModel(
            new javax.swing.table.DefaultTableModel(new Object[][] {}, new String[] { "ID", "Element", "Point", "σx", "σy", "τxy", "" }) {
                Class[] types = new Class[] {
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                };
                boolean[] canEdit = new boolean[] { false, false, false, false, false, false, false };

                public Class getColumnClass(int columnIndex) {
                    return types[columnIndex];
                }

                public boolean isCellEditable(int rowIndex, int columnIndex) {
                    return canEdit[columnIndex];
                }
            }
        );
        jTable_2D.setGridColor(new java.awt.Color(222, 222, 222));
        jTable_2D.setRowHeight(20);
        jTable_2D.getTableHeader().setReorderingAllowed(false);
        jScrollPane_2D.setViewportView(jTable_2D);
        if (jTable_2D.getColumnModel().getColumnCount() > 0) {
            jTable_2D.getColumnModel().getColumn(0).setMinWidth(100);
            jTable_2D.getColumnModel().getColumn(0).setMaxWidth(200);
            jTable_2D.getColumnModel().getColumn(1).setMinWidth(100);
            jTable_2D.getColumnModel().getColumn(1).setMaxWidth(200);
            jTable_2D.getColumnModel().getColumn(2).setMinWidth(100);
            jTable_2D.getColumnModel().getColumn(2).setMaxWidth(200);
            jTable_2D.getColumnModel().getColumn(3).setMinWidth(100);
            jTable_2D.getColumnModel().getColumn(3).setMaxWidth(200);
            jTable_2D.getColumnModel().getColumn(4).setMinWidth(100);
            jTable_2D.getColumnModel().getColumn(4).setMaxWidth(200);
            jTable_2D.getColumnModel().getColumn(5).setMinWidth(100);
            jTable_2D.getColumnModel().getColumn(5).setMaxWidth(200);
        }

        jScrollPane_3D.setBorder(null);
        jScrollPane_3D.setMinimumSize(new java.awt.Dimension(450, 400));
        jScrollPane_3D.setPreferredSize(new java.awt.Dimension(1000, 400));

        jTable_3D.setModel(
            new javax.swing.table.DefaultTableModel(
                new Object[][] {},
                new String[] { "ID", "Element", "Point", "σx", "σy", "σz", "τxy", "τxz", "τyz", "" }
            ) {
                Class[] types = new Class[] {
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                };
                boolean[] canEdit = new boolean[] { false, false, false, false, false, false, false, false, false, false };

                public Class getColumnClass(int columnIndex) {
                    return types[columnIndex];
                }

                public boolean isCellEditable(int rowIndex, int columnIndex) {
                    return canEdit[columnIndex];
                }
            }
        );
        jTable_3D.setGridColor(new java.awt.Color(222, 222, 222));
        jTable_3D.setRowHeight(20);
        jTable_3D.getTableHeader().setReorderingAllowed(false);
        jScrollPane_3D.setViewportView(jTable_3D);
        if (jTable_3D.getColumnModel().getColumnCount() > 0) {
            jTable_3D.getColumnModel().getColumn(0).setMinWidth(100);
            jTable_3D.getColumnModel().getColumn(0).setMaxWidth(200);
            jTable_3D.getColumnModel().getColumn(1).setMinWidth(100);
            jTable_3D.getColumnModel().getColumn(1).setMaxWidth(200);
            jTable_3D.getColumnModel().getColumn(2).setMinWidth(100);
            jTable_3D.getColumnModel().getColumn(2).setMaxWidth(200);
            jTable_3D.getColumnModel().getColumn(3).setMinWidth(100);
            jTable_3D.getColumnModel().getColumn(3).setMaxWidth(200);
            jTable_3D.getColumnModel().getColumn(4).setMinWidth(100);
            jTable_3D.getColumnModel().getColumn(4).setMaxWidth(200);
            jTable_3D.getColumnModel().getColumn(5).setMinWidth(100);
            jTable_3D.getColumnModel().getColumn(5).setMaxWidth(200);
            jTable_3D.getColumnModel().getColumn(6).setMinWidth(100);
            jTable_3D.getColumnModel().getColumn(6).setMaxWidth(200);
            jTable_3D.getColumnModel().getColumn(7).setMinWidth(100);
            jTable_3D.getColumnModel().getColumn(7).setMaxWidth(200);
            jTable_3D.getColumnModel().getColumn(8).setMinWidth(100);
            jTable_3D.getColumnModel().getColumn(8).setMaxWidth(200);
        }

        jScrollPane_Beams.setBorder(null);

        jTable_Beams.setModel(
            new javax.swing.table.DefaultTableModel(
                new Object[][] {},
                new String[] { "ID", "Element", "Point", "σ top", "σ bottom", "τ", "" }
            ) {
                Class[] types = new Class[] {
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                };
                boolean[] canEdit = new boolean[] { false, false, false, false, false, false, false };

                public Class getColumnClass(int columnIndex) {
                    return types[columnIndex];
                }

                public boolean isCellEditable(int rowIndex, int columnIndex) {
                    return canEdit[columnIndex];
                }
            }
        );
        jTable_Beams.setGridColor(new java.awt.Color(222, 222, 222));
        jTable_Beams.setRowHeight(20);
        jTable_Beams.getTableHeader().setReorderingAllowed(false);
        jScrollPane_Beams.setViewportView(jTable_Beams);
        if (jTable_Beams.getColumnModel().getColumnCount() > 0) {
            jTable_Beams.getColumnModel().getColumn(0).setMinWidth(100);
            jTable_Beams.getColumnModel().getColumn(0).setMaxWidth(200);
            jTable_Beams.getColumnModel().getColumn(1).setMinWidth(100);
            jTable_Beams.getColumnModel().getColumn(1).setMaxWidth(200);
            jTable_Beams.getColumnModel().getColumn(2).setMinWidth(100);
            jTable_Beams.getColumnModel().getColumn(2).setMaxWidth(200);
            jTable_Beams.getColumnModel().getColumn(3).setMinWidth(100);
            jTable_Beams.getColumnModel().getColumn(3).setMaxWidth(200);
            jTable_Beams.getColumnModel().getColumn(4).setMinWidth(100);
            jTable_Beams.getColumnModel().getColumn(4).setMaxWidth(200);
            jTable_Beams.getColumnModel().getColumn(5).setMinWidth(100);
            jTable_Beams.getColumnModel().getColumn(5).setMaxWidth(200);
        }

        jScrollPane_Frames.setBorder(null);

        jTable_Frames.setModel(
            new javax.swing.table.DefaultTableModel(
                new Object[][] {},
                new String[] { "ID", "Element", "Point", "σ", "σ top", "σ bottom", "" }
            ) {
                Class[] types = new Class[] {
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                };
                boolean[] canEdit = new boolean[] { false, false, false, false, false, false, false };

                public Class getColumnClass(int columnIndex) {
                    return types[columnIndex];
                }

                public boolean isCellEditable(int rowIndex, int columnIndex) {
                    return canEdit[columnIndex];
                }
            }
        );
        jTable_Frames.setGridColor(new java.awt.Color(222, 222, 222));
        jTable_Frames.setRowHeight(20);
        jTable_Frames.getTableHeader().setReorderingAllowed(false);
        jScrollPane_Frames.setViewportView(jTable_Frames);
        if (jTable_Frames.getColumnModel().getColumnCount() > 0) {
            jTable_Frames.getColumnModel().getColumn(0).setMinWidth(100);
            jTable_Frames.getColumnModel().getColumn(0).setMaxWidth(200);
            jTable_Frames.getColumnModel().getColumn(1).setMinWidth(100);
            jTable_Frames.getColumnModel().getColumn(1).setMaxWidth(200);
            jTable_Frames.getColumnModel().getColumn(2).setMinWidth(100);
            jTable_Frames.getColumnModel().getColumn(2).setMaxWidth(200);
            jTable_Frames.getColumnModel().getColumn(3).setMinWidth(100);
            jTable_Frames.getColumnModel().getColumn(3).setMaxWidth(200);
            jTable_Frames.getColumnModel().getColumn(4).setMinWidth(100);
            jTable_Frames.getColumnModel().getColumn(4).setMaxWidth(200);
            jTable_Frames.getColumnModel().getColumn(5).setMinWidth(100);
            jTable_Frames.getColumnModel().getColumn(5).setMaxWidth(200);
        }

        jScrollPane_Grids.setBorder(null);

        jTable_Grids.setModel(
            new javax.swing.table.DefaultTableModel(
                new Object[][] {},
                new String[] { "ID", "Element", "Point", "τ", "σ top", "σ bottom", "" }
            ) {
                Class[] types = new Class[] {
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                };
                boolean[] canEdit = new boolean[] { false, false, false, false, false, false, false };

                public Class getColumnClass(int columnIndex) {
                    return types[columnIndex];
                }

                public boolean isCellEditable(int rowIndex, int columnIndex) {
                    return canEdit[columnIndex];
                }
            }
        );
        jTable_Grids.setGridColor(new java.awt.Color(222, 222, 222));
        jTable_Grids.setRowHeight(20);
        jTable_Grids.getTableHeader().setReorderingAllowed(false);
        jScrollPane_Grids.setViewportView(jTable_Grids);
        if (jTable_Grids.getColumnModel().getColumnCount() > 0) {
            jTable_Grids.getColumnModel().getColumn(0).setMinWidth(100);
            jTable_Grids.getColumnModel().getColumn(0).setMaxWidth(200);
            jTable_Grids.getColumnModel().getColumn(1).setMinWidth(100);
            jTable_Grids.getColumnModel().getColumn(1).setMaxWidth(200);
            jTable_Grids.getColumnModel().getColumn(2).setMinWidth(100);
            jTable_Grids.getColumnModel().getColumn(2).setMaxWidth(200);
            jTable_Grids.getColumnModel().getColumn(3).setMinWidth(100);
            jTable_Grids.getColumnModel().getColumn(3).setMaxWidth(200);
            jTable_Grids.getColumnModel().getColumn(4).setMinWidth(100);
            jTable_Grids.getColumnModel().getColumn(4).setMaxWidth(200);
            jTable_Grids.getColumnModel().getColumn(5).setMinWidth(100);
            jTable_Grids.getColumnModel().getColumn(5).setMaxWidth(200);
        }

        jScrollPane_Slabs.setBorder(null);
        jScrollPane_Slabs.setMinimumSize(new java.awt.Dimension(450, 400));
        jScrollPane_Slabs.setPreferredSize(new java.awt.Dimension(450, 400));
        jScrollPane_Slabs.addComponentListener(
            new java.awt.event.ComponentAdapter() {
                public void componentResized(java.awt.event.ComponentEvent evt) {
                    jScrollPane_SlabsComponentResized(evt);
                }
            }
        );

        jTable_Slabs.setModel(
            new javax.swing.table.DefaultTableModel(
                new Object[][] {},
                new String[] {
                    "ID",
                    "Element",
                    "Point",
                    "σx top",
                    "σy top",
                    "τxy top",
                    "σx bottom",
                    "σy bottom",
                    "τxy bottom",
                    "τxz",
                    "τyz",
                    "",
                }
            ) {
                Class[] types = new Class[] {
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                    java.lang.String.class,
                };
                boolean[] canEdit = new boolean[] { false, false, false, false, false, false, false, false, false, false, false, false };

                public Class getColumnClass(int columnIndex) {
                    return types[columnIndex];
                }

                public boolean isCellEditable(int rowIndex, int columnIndex) {
                    return canEdit[columnIndex];
                }
            }
        );
        jTable_Slabs.setAutoResizeMode(javax.swing.JTable.AUTO_RESIZE_OFF);
        jTable_Slabs.setGridColor(new java.awt.Color(222, 222, 222));
        jTable_Slabs.setRowHeight(20);
        jTable_Slabs.getTableHeader().setReorderingAllowed(false);
        jScrollPane_Slabs.setViewportView(jTable_Slabs);
        if (jTable_Slabs.getColumnModel().getColumnCount() > 0) {
            jTable_Slabs.getColumnModel().getColumn(0).setMinWidth(100);
            jTable_Slabs.getColumnModel().getColumn(0).setMaxWidth(200);
            jTable_Slabs.getColumnModel().getColumn(1).setMinWidth(100);
            jTable_Slabs.getColumnModel().getColumn(1).setMaxWidth(200);
            jTable_Slabs.getColumnModel().getColumn(2).setMinWidth(100);
            jTable_Slabs.getColumnModel().getColumn(2).setMaxWidth(200);
            jTable_Slabs.getColumnModel().getColumn(3).setMinWidth(100);
            jTable_Slabs.getColumnModel().getColumn(3).setMaxWidth(200);
            jTable_Slabs.getColumnModel().getColumn(4).setMinWidth(100);
            jTable_Slabs.getColumnModel().getColumn(4).setMaxWidth(200);
            jTable_Slabs.getColumnModel().getColumn(5).setMinWidth(100);
            jTable_Slabs.getColumnModel().getColumn(5).setMaxWidth(200);
            jTable_Slabs.getColumnModel().getColumn(6).setMinWidth(100);
            jTable_Slabs.getColumnModel().getColumn(6).setMaxWidth(200);
            jTable_Slabs.getColumnModel().getColumn(7).setMinWidth(100);
            jTable_Slabs.getColumnModel().getColumn(7).setMaxWidth(200);
            jTable_Slabs.getColumnModel().getColumn(8).setMinWidth(100);
            jTable_Slabs.getColumnModel().getColumn(8).setMaxWidth(200);
            jTable_Slabs.getColumnModel().getColumn(9).setMinWidth(100);
            jTable_Slabs.getColumnModel().getColumn(9).setMaxWidth(200);
            jTable_Slabs.getColumnModel().getColumn(10).setMinWidth(100);
            jTable_Slabs.getColumnModel().getColumn(10).setMaxWidth(200);
        }

        setBackground(new java.awt.Color(255, 255, 255));

        jScrollPane.setBackground(new java.awt.Color(255, 255, 255));
        jScrollPane.setBorder(null);
        jScrollPane.setHorizontalScrollBarPolicy(javax.swing.ScrollPaneConstants.HORIZONTAL_SCROLLBAR_NEVER);
        jScrollPane.setVerticalScrollBarPolicy(javax.swing.ScrollPaneConstants.VERTICAL_SCROLLBAR_NEVER);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jScrollPane, javax.swing.GroupLayout.DEFAULT_SIZE, 400, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jScrollPane, javax.swing.GroupLayout.DEFAULT_SIZE, 300, Short.MAX_VALUE)
        );
    } // </editor-fold>//GEN-END:initComponents

    private void jScrollPane_SlabsComponentResized(java.awt.event.ComponentEvent evt) { //GEN-FIRST:event_jScrollPane_SlabsComponentResized
        int width = jScrollPane_Slabs.getWidth();
        int dimension = 1100;

        if (width >= dimension) {
            jTable_Slabs.getColumnModel().getColumn(11).setMinWidth(width - dimension);
            jTable_Slabs.getColumnModel().getColumn(11).setMaxWidth(width - dimension);
            jTable_Slabs.getColumnModel().getColumn(11).setWidth(width - dimension);
        }
    } //GEN-LAST:event_jScrollPane_SlabsComponentResized

    /**
     * Método para selecionar a tabela para apresentação dos resultados
     *
     * @param type
     */
    public void selectTable(String type) {
        switch (type) {
            case "1D":
                jScrollPane.setViewportView(jScrollPane_1D);
                jScrollPane_1D.setBorder(null);
                break;
            case "2D":
                jScrollPane.setViewportView(jScrollPane_2D);
                jScrollPane_2D.setBorder(null);
                break;
            case "3D":
                jScrollPane.setViewportView(jScrollPane_3D);
                jScrollPane_3D.setBorder(null);
                break;
            case "Beams":
                jScrollPane.setViewportView(jScrollPane_Beams);
                jScrollPane_Beams.setBorder(null);
                break;
            case "Frames":
                jScrollPane.setViewportView(jScrollPane_Frames);
                jScrollPane_Frames.setBorder(null);
                break;
            case "Grids":
                jScrollPane.setViewportView(jScrollPane_Grids);
                jScrollPane_Grids.setBorder(null);
                break;
            case "Slabs":
                jScrollPane.setViewportView(jScrollPane_Slabs);
                jScrollPane_Slabs.setBorder(null);
                break;
        }
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JScrollPane jScrollPane;
    private javax.swing.JScrollPane jScrollPane_1D;
    private javax.swing.JScrollPane jScrollPane_2D;
    private javax.swing.JScrollPane jScrollPane_3D;
    private javax.swing.JScrollPane jScrollPane_Beams;
    private javax.swing.JScrollPane jScrollPane_Frames;
    private javax.swing.JScrollPane jScrollPane_Grids;
    private javax.swing.JScrollPane jScrollPane_Slabs;
    public javax.swing.JTable jTable_1D;
    public javax.swing.JTable jTable_2D;
    public javax.swing.JTable jTable_3D;
    public javax.swing.JTable jTable_Beams;
    public javax.swing.JTable jTable_Frames;
    public javax.swing.JTable jTable_Grids;
    public javax.swing.JTable jTable_Slabs;
    // End of variables declaration//GEN-END:variables
}
