/*
 * Esta classe cria o painel inicial do programa
 * O painel inicial contém os botões para selecionar o tipo de projeto a criar
 * As acções dos botões estão programadas na classe Interface
 */

package app.frontend;

import java.awt.Color;
import java.awt.Image;
import java.awt.Toolkit;
import javax.swing.JLabel;

/**
 *
 * @author André de Sousa
 */
public class PanelWelcome extends javax.swing.JPanel {

    private final Image image;

    /**
     * Creates new form JPWelcome
     */
    public PanelWelcome() {
        image = Toolkit.getDefaultToolkit().getImage(getClass().getResource("/images/bgWelcome.png"));
        initComponents();
        jLabelDescription.setFont(new java.awt.Font("Tahoma", 0, 11));
        jLBeams.setFont(new java.awt.Font("Tahoma", 0, 11));
        jLOpenProject.setFont(new java.awt.Font("Tahoma", 0, 11));
        jLPlaneFrames.setFont(new java.awt.Font("Tahoma", 0, 11));
        jLPlaneStressesStrains.setFont(new java.awt.Font("Tahoma", 0, 11));
        jLPlaneTrusses.setFont(new java.awt.Font("Tahoma", 0, 11));
        jLGrids.setFont(new java.awt.Font("Tahoma", 0, 11));
        jLSlabs.setFont(new java.awt.Font("Tahoma", 0, 11));
    }

    /**
     * This method set foreground of the labels
     */
    public void setForegroundForLabels() {
        jLBeams.setForeground(Color.BLACK);
        jLOpenProject.setForeground(Color.BLACK);
        jLPlaneFrames.setForeground(Color.BLACK);
        jLPlaneStressesStrains.setForeground(Color.BLACK);
        jLPlaneTrusses.setForeground(Color.BLACK);
        jLGrids.setForeground(Color.BLACK);
        jLSlabs.setForeground(Color.BLACK);

        jLBeams.setText(jLabelRemoveUnderline(jLBeams.getText()));
        jLOpenProject.setText(jLabelRemoveUnderline(jLOpenProject.getText()));
        jLPlaneFrames.setText(jLabelRemoveUnderline(jLPlaneFrames.getText()));
        jLPlaneStressesStrains.setText(jLabelRemoveUnderline(jLPlaneStressesStrains.getText()));
        jLPlaneTrusses.setText(jLabelRemoveUnderline(jLPlaneTrusses.getText()));
        jLGrids.setText(jLabelRemoveUnderline(jLGrids.getText()));
        jLSlabs.setText(jLabelRemoveUnderline(jLSlabs.getText()));

        jLabelDescription.setText("");
        jPanelDescription.setBorder(javax.swing.BorderFactory.createLineBorder(new Color(236, 236, 236)));
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        jPanel1 = new javax.swing.JPanel();
        jPanel2 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jPanel3 = new javax.swing.JPanel();
        jSeparator1 = new javax.swing.JSeparator();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLOpenProject = new themeForLabel();
        jPanel4 = new javax.swing.JPanel();
        jLPlaneTrusses = new themeForLabel();
        jLBeams = new themeForLabel();
        jLSlabs = new themeForLabel();
        jLGrids = new themeForLabel();
        jLPlaneStressesStrains = new themeForLabel();
        jLPlaneFrames = new themeForLabel();
        jPanelDescription = new javax.swing.JPanel();
        jLabelDescription = new javax.swing.JLabel();

        setBackground(new java.awt.Color(255, 255, 255));
        setPreferredSize(new java.awt.Dimension(650, 420));

        jPanel1.setBackground(new java.awt.Color(236, 236, 236));
        jPanel1.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(204, 204, 204)));
        jPanel1.setFocusable(false);
        jPanel1.setMaximumSize(new java.awt.Dimension(630, 400));
        jPanel1.setMinimumSize(new java.awt.Dimension(630, 400));
        jPanel1.setPreferredSize(new java.awt.Dimension(630, 400));

        jPanel2.setBackground(new java.awt.Color(52, 52, 52));

        jLabel1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/welcome.png"))); // NOI18N

        jLabel2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/iconFEM.png"))); // NOI18N

        jLabel3.setFont(new java.awt.Font("Arial", 1, 14)); // NOI18N
        jLabel3.setForeground(new java.awt.Color(255, 255, 255));
        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("FEM for Students");

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanel2Layout
                        .createSequentialGroup()
                        .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 385, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jLabel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jLabel2)
                        .addContainerGap()
                )
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jLabel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jLabel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jLabel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        jPanel3.setBackground(new java.awt.Color(236, 236, 236));

        jSeparator1.setBackground(new java.awt.Color(236, 236, 236));
        jSeparator1.setForeground(new java.awt.Color(0, 0, 0));
        jSeparator1.setOrientation(javax.swing.SwingConstants.VERTICAL);

        jLabel4.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        jLabel4.setText("Projects");

        jLabel5.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        jLabel5.setText("New Project");

        jLOpenProject.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLOpenProject.setText("Open Project");

        jPanel4.setBackground(new java.awt.Color(236, 236, 236));

        jLPlaneTrusses.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLPlaneTrusses.setText("Plane Trusses"); // NOI18N
        jLPlaneTrusses.addMouseListener(
            new java.awt.event.MouseAdapter() {
                public void mouseEntered(java.awt.event.MouseEvent evt) {
                    jLPlaneTrussesMouseEntered(evt);
                }

                public void mouseExited(java.awt.event.MouseEvent evt) {
                    jLPlaneTrussesMouseExited(evt);
                }
            }
        );

        jLBeams.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLBeams.setText("Beams");
        jLBeams.addMouseListener(
            new java.awt.event.MouseAdapter() {
                public void mouseEntered(java.awt.event.MouseEvent evt) {
                    jLBeamsMouseEntered(evt);
                }

                public void mouseExited(java.awt.event.MouseEvent evt) {
                    jLBeamsMouseExited(evt);
                }
            }
        );

        jLSlabs.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLSlabs.setText("Slabs");
        jLSlabs.addMouseListener(
            new java.awt.event.MouseAdapter() {
                public void mouseEntered(java.awt.event.MouseEvent evt) {
                    jLSlabsMouseEntered(evt);
                }

                public void mouseExited(java.awt.event.MouseEvent evt) {
                    jLSlabsMouseExited(evt);
                }
            }
        );

        jLGrids.setText("Grids");
        jLGrids.addMouseListener(
            new java.awt.event.MouseAdapter() {
                public void mouseEntered(java.awt.event.MouseEvent evt) {
                    jLGridsMouseEntered(evt);
                }

                public void mouseExited(java.awt.event.MouseEvent evt) {
                    jLGridsMouseExited(evt);
                }
            }
        );

        jLPlaneStressesStrains.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLPlaneStressesStrains.setText("Plane Stresses/Strains");
        jLPlaneStressesStrains.addMouseListener(
            new java.awt.event.MouseAdapter() {
                public void mouseEntered(java.awt.event.MouseEvent evt) {
                    jLPlaneStressesStrainsMouseEntered(evt);
                }

                public void mouseExited(java.awt.event.MouseEvent evt) {
                    jLPlaneStressesStrainsMouseExited(evt);
                }
            }
        );

        jLPlaneFrames.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLPlaneFrames.setText("Plane Frames");
        jLPlaneFrames.addMouseListener(
            new java.awt.event.MouseAdapter() {
                public void mouseEntered(java.awt.event.MouseEvent evt) {
                    jLPlaneFramesMouseEntered(evt);
                }

                public void mouseExited(java.awt.event.MouseEvent evt) {
                    jLPlaneFramesMouseExited(evt);
                }
            }
        );

        javax.swing.GroupLayout jPanel4Layout = new javax.swing.GroupLayout(jPanel4);
        jPanel4.setLayout(jPanel4Layout);
        jPanel4Layout.setHorizontalGroup(
            jPanel4Layout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanel4Layout
                        .createSequentialGroup()
                        .addGap(0, 0, 0)
                        .addGroup(
                            jPanel4Layout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addGroup(
                                    jPanel4Layout
                                        .createSequentialGroup()
                                        .addComponent(
                                            jLSlabs,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            Short.MAX_VALUE
                                        )
                                        .addGap(82, 82, 82)
                                )
                                .addGroup(
                                    jPanel4Layout
                                        .createSequentialGroup()
                                        .addGroup(
                                            jPanel4Layout
                                                .createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                                .addComponent(
                                                    jLPlaneFrames,
                                                    javax.swing.GroupLayout.Alignment.LEADING,
                                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                                    Short.MAX_VALUE
                                                )
                                                .addComponent(
                                                    jLPlaneTrusses,
                                                    javax.swing.GroupLayout.Alignment.LEADING,
                                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                                    Short.MAX_VALUE
                                                )
                                                .addGroup(
                                                    javax.swing.GroupLayout.Alignment.LEADING,
                                                    jPanel4Layout
                                                        .createSequentialGroup()
                                                        .addComponent(
                                                            jLBeams,
                                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                                            Short.MAX_VALUE
                                                        )
                                                        .addGap(35, 35, 35)
                                                )
                                        )
                                        .addGap(41, 41, 41)
                                )
                                .addGroup(
                                    jPanel4Layout
                                        .createSequentialGroup()
                                        .addComponent(
                                            jLGrids,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            Short.MAX_VALUE
                                        )
                                        .addGap(83, 83, 83)
                                )
                                .addComponent(
                                    jLPlaneStressesStrains,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    Short.MAX_VALUE
                                )
                        )
                        .addGap(33, 33, 33)
                )
        );
        jPanel4Layout.setVerticalGroup(
            jPanel4Layout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanel4Layout
                        .createSequentialGroup()
                        .addGap(0, 0, 0)
                        .addComponent(jLPlaneTrusses, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLBeams, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLPlaneFrames, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(
                            jLPlaneStressesStrains,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            20,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLGrids, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLSlabs, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addContainerGap()
                )
        );

        jPanelDescription.setBackground(new java.awt.Color(236, 236, 236));
        jPanelDescription.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(236, 236, 236)));

        jLabelDescription.setForeground(java.awt.Color.blue);
        jLabelDescription.setVerticalAlignment(javax.swing.SwingConstants.TOP);

        javax.swing.GroupLayout jPanelDescriptionLayout = new javax.swing.GroupLayout(jPanelDescription);
        jPanelDescription.setLayout(jPanelDescriptionLayout);
        jPanelDescriptionLayout.setHorizontalGroup(
            jPanelDescriptionLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanelDescriptionLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabelDescription, javax.swing.GroupLayout.DEFAULT_SIZE, 204, Short.MAX_VALUE)
                        .addContainerGap()
                )
        );
        jPanelDescriptionLayout.setVerticalGroup(
            jPanelDescriptionLayout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanelDescriptionLayout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addComponent(
                            jLabelDescription,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            Short.MAX_VALUE
                        )
                        .addContainerGap()
                )
        );

        javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanel3Layout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addGroup(
                            jPanel3Layout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                .addComponent(
                                    jLOpenProject,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    Short.MAX_VALUE
                                )
                                .addComponent(
                                    jLabel4,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                    Short.MAX_VALUE
                                )
                        )
                        .addGap(127, 127, 127)
                        .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(
                            jPanel3Layout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(jLabel5)
                                .addGroup(
                                    jPanel3Layout
                                        .createSequentialGroup()
                                        .addComponent(
                                            jPanel4,
                                            javax.swing.GroupLayout.PREFERRED_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addComponent(
                                            jPanelDescription,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.DEFAULT_SIZE,
                                            javax.swing.GroupLayout.PREFERRED_SIZE
                                        )
                                )
                        )
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                )
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanel3Layout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addGroup(
                            jPanel3Layout
                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(jSeparator1)
                                .addGroup(
                                    jPanel3Layout
                                        .createSequentialGroup()
                                        .addGroup(
                                            jPanel3Layout
                                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                .addComponent(
                                                    jLabel5,
                                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                                    25,
                                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                                )
                                                .addComponent(
                                                    jLabel4,
                                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                                    25,
                                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                                )
                                        )
                                        .addGap(18, 18, 18)
                                        .addGroup(
                                            jPanel3Layout
                                                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                .addComponent(
                                                    jLOpenProject,
                                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                                    20,
                                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                                )
                                                .addComponent(
                                                    jPanel4,
                                                    javax.swing.GroupLayout.PREFERRED_SIZE,
                                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                                )
                                                .addComponent(
                                                    jPanelDescription,
                                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                                    javax.swing.GroupLayout.DEFAULT_SIZE,
                                                    javax.swing.GroupLayout.PREFERRED_SIZE
                                                )
                                        )
                                        .addGap(0, 95, Short.MAX_VALUE)
                                )
                        )
                        .addContainerGap()
                )
        );

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(
                    javax.swing.GroupLayout.Alignment.TRAILING,
                    jPanel1Layout
                        .createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jPanel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addContainerGap()
                )
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    jPanel1Layout
                        .createSequentialGroup()
                        .addComponent(
                            jPanel2,
                            javax.swing.GroupLayout.PREFERRED_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jPanel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addContainerGap()
                )
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    layout
                        .createSequentialGroup()
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(
                            jPanel1,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                )
        );
        layout.setVerticalGroup(
            layout
                .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(
                    layout
                        .createSequentialGroup()
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(
                            jPanel1,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.DEFAULT_SIZE,
                            javax.swing.GroupLayout.PREFERRED_SIZE
                        )
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                )
        );
    } // </editor-fold>//GEN-END:initComponents

    /**
     * Método para quando o rato entra dentro da label jLPlaneTrusses
     *
     * @param evt
     */
    private void jLPlaneTrussesMouseEntered(java.awt.event.MouseEvent evt) { //GEN-FIRST:event_jLPlaneTrussesMouseEntered
        jLabelDescription.setText(
            "<html><p align='justify'>A plane truss is defined as a two-dimensional framework of straight prismatic " +
            "members connected at their ends by frictionless hinged joints, and subjected to " +
            "loads and reactions that act only at the joints and lie in the plane of the structure.</p></html>"
        );
        jPanelDescription.setBorder(javax.swing.BorderFactory.createLineBorder(java.awt.Color.blue));
    } //GEN-LAST:event_jLPlaneTrussesMouseEntered

    /**
     * Método para quando o rato entra dentro da label jLBeamsMouse
     *
     * @param evt
     */
    private void jLBeamsMouseEntered(java.awt.event.MouseEvent evt) { //GEN-FIRST:event_jLBeamsMouseEntered
        jLabelDescription.setText(
            "<html><p align='justify'>A beam is a long straight structure, which is " +
            "supported and loaded in such a way that all the external forces and couples " +
            "acting on it lie in a plane of symmetry of its cross-section, " +
            "with all the forces perpendicular to its centroidal axis.</p></html>"
        );
        jPanelDescription.setBorder(javax.swing.BorderFactory.createLineBorder(java.awt.Color.blue));
    } //GEN-LAST:event_jLBeamsMouseEntered

    /**
     * Método para quando o rato entra dentro da label jLPlaneFrames
     *
     * @param evt
     */
    private void jLPlaneFramesMouseEntered(java.awt.event.MouseEvent evt) { //GEN-FIRST:event_jLPlaneFramesMouseEntered
        jLabelDescription.setText(
            "<html><p align='justify'>A plane frame is defined as a two-dimensional assemblage of straight members " +
            "connected together by rigid and/or hinged connections, and subjected to loads " +
            "and reactions that lie in the plane of the structure.</p></html>"
        );
        jPanelDescription.setBorder(javax.swing.BorderFactory.createLineBorder(java.awt.Color.blue));
    } //GEN-LAST:event_jLPlaneFramesMouseEntered

    /**
     * Método para quando o rato entra dentro da label jLPlaneStressesStrains
     *
     * @param evt
     */
    private void jLPlaneStressesStrainsMouseEntered(java.awt.event.MouseEvent evt) { //GEN-FIRST:event_jLPlaneStressesStrainsMouseEntered
        jLabelDescription.setText(
            "<html><p align='justify'>A structure is under plane stress if one " +
            "of its dimensions is much smaller than the other two and all " +
            "the loads are contained in the middle plane of the structure.</p>" +
            "<p></p><p align='justify'>A structure is under plane strain if " +
            "one of its dimensions is larger than the other two and all the " +
            "loads are uniformly distributed along its length and they act orthogonally " +
            "to the longitudinal axis.</p></html>"
        );
        jPanelDescription.setBorder(javax.swing.BorderFactory.createLineBorder(java.awt.Color.blue));
    } //GEN-LAST:event_jLPlaneStressesStrainsMouseEntered

    /**
     * Método para quando o rato entra dentro da label jLGrids
     *
     * @param evt
     */
    private void jLGridsMouseEntered(java.awt.event.MouseEvent evt) { //GEN-FIRST:event_jLGridsMouseEntered
        jLabelDescription.setText(
            "<html><p align='justify'>A grid is defined as a two-dimensional framework of straight members " +
            "connected together by rigid and/or flexible connections, and subjected to loads " +
            "and reactions perpendicular to the plane of the structure.</p></html>"
        );
        jPanelDescription.setBorder(javax.swing.BorderFactory.createLineBorder(java.awt.Color.blue));
    } //GEN-LAST:event_jLGridsMouseEntered

    /**
     * Método para quando o rato entra dentro da label jLSlabs
     *
     * @param evt
     */
    private void jLSlabsMouseEntered(java.awt.event.MouseEvent evt) { //GEN-FIRST:event_jLSlabsMouseEntered
        jLabelDescription.setText(
            "<html><p align='justify'>A slab is defined as a flat solid whose thickness is much smaller than its " +
            "other dimensions.We assume that the middle plane is equidistant from the " +
            "upper and lower faces.</p></html>"
        );
        jPanelDescription.setBorder(javax.swing.BorderFactory.createLineBorder(java.awt.Color.blue));
    } //GEN-LAST:event_jLSlabsMouseEntered

    /**
     * Método para quando o rato sai de dentro da label jLPlaneTrusses
     *
     * @param evt
     */
    private void jLPlaneTrussesMouseExited(java.awt.event.MouseEvent evt) { //GEN-FIRST:event_jLPlaneTrussesMouseExited
        jLabelDescription.setText("");
        jPanelDescription.setBorder(javax.swing.BorderFactory.createLineBorder(new Color(236, 236, 236)));
    } //GEN-LAST:event_jLPlaneTrussesMouseExited

    /**
     * Método para quando o rato sai de dentro da label jLBeams
     *
     * @param evt
     */
    private void jLBeamsMouseExited(java.awt.event.MouseEvent evt) { //GEN-FIRST:event_jLBeamsMouseExited
        jLabelDescription.setText("");
        jPanelDescription.setBorder(javax.swing.BorderFactory.createLineBorder(new Color(236, 236, 236)));
    } //GEN-LAST:event_jLBeamsMouseExited

    /**
     * Método para quando o rato sai de dentro da label jLPlaneFrames
     *
     * @param evt
     */
    private void jLPlaneFramesMouseExited(java.awt.event.MouseEvent evt) { //GEN-FIRST:event_jLPlaneFramesMouseExited
        jLabelDescription.setText("");
        jPanelDescription.setBorder(javax.swing.BorderFactory.createLineBorder(new Color(236, 236, 236)));
    } //GEN-LAST:event_jLPlaneFramesMouseExited

    /**
     * Método para quando o rato sai de dentro da label jLPlaneStressesStrains
     *
     * @param evt
     */
    private void jLPlaneStressesStrainsMouseExited(java.awt.event.MouseEvent evt) { //GEN-FIRST:event_jLPlaneStressesStrainsMouseExited
        jLabelDescription.setText("");
        jPanelDescription.setBorder(javax.swing.BorderFactory.createLineBorder(new Color(236, 236, 236)));
    } //GEN-LAST:event_jLPlaneStressesStrainsMouseExited

    /**
     * Método para quando o rato sai de dentro da label jLGrids
     *
     * @param evt
     */
    private void jLGridsMouseExited(java.awt.event.MouseEvent evt) { //GEN-FIRST:event_jLGridsMouseExited
        jLabelDescription.setText("");
        jPanelDescription.setBorder(javax.swing.BorderFactory.createLineBorder(new Color(236, 236, 236)));
    } //GEN-LAST:event_jLGridsMouseExited

    /**
     * Método para quando o rato sai de dentro da label jLSlabs
     *
     * @param evt
     */
    private void jLSlabsMouseExited(java.awt.event.MouseEvent evt) { //GEN-FIRST:event_jLSlabsMouseExited
        jLabelDescription.setText("");
        jPanelDescription.setBorder(javax.swing.BorderFactory.createLineBorder(new Color(236, 236, 236)));
    } //GEN-LAST:event_jLSlabsMouseExited

    @Override
    protected void paintComponent(java.awt.Graphics g) {
        super.paintComponent(g);

        int width = this.getWidth();
        int height = this.getHeight();

        int x = 0;
        int y;
        while (x < width) {
            g.drawImage(image, x, 0, this);
            x = x + 50;
            y = 50;
            while (y < height) {
                g.drawImage(image, x - 50, y, this);
                y = y + 50;
            }
        }
    }

    /**
     * This class create a new theme for menus of JPWelcome
     */
    private class themeForLabel extends JLabel {

        private void jLabelMouseEntered(java.awt.event.MouseEvent evt) {
            setForeground(Color.BLUE);

            String text = getText();
            text = "<html><u>" + text + "</u></html>";
            setText(text);
        }

        private void jLabelMouseExited(java.awt.event.MouseEvent evt) {
            setForeground(Color.BLACK);

            String text = getText();
            text = text.replace("<html><u>", "");
            text = text.replace("</u></html>", "");
            setText(text);
        }

        public themeForLabel() {
            setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));

            addMouseListener(
                new java.awt.event.MouseAdapter() {
                    @Override
                    public void mouseEntered(java.awt.event.MouseEvent evt) {
                        jLabelMouseEntered(evt);
                    }

                    @Override
                    public void mouseExited(java.awt.event.MouseEvent evt) {
                        jLabelMouseExited(evt);
                    }
                }
            );
        }
    }

    /**
     * Método para remover o sublinhado do texto da jLabel
     *
     * @param text
     * @return
     */
    private String jLabelRemoveUnderline(String text) {
        text = text.replace("<html><u>", "");
        text = text.replace("</u></html>", "");

        return text;
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    public javax.swing.JLabel jLBeams;
    public javax.swing.JLabel jLGrids;
    public javax.swing.JLabel jLOpenProject;
    public javax.swing.JLabel jLPlaneFrames;
    public javax.swing.JLabel jLPlaneStressesStrains;
    public javax.swing.JLabel jLPlaneTrusses;
    public javax.swing.JLabel jLSlabs;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabelDescription;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JPanel jPanelDescription;
    private javax.swing.JSeparator jSeparator1;
    // End of variables declaration//GEN-END:variables
}
